%global momorel 9
%global betaver 8
%global prever 3
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kde4ver 4.2.3
%global kdelibsrel 6m
%global kde4baserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Access and control bluetooth devices in KDE
Name: kdebluetooth
Version: 1.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPLv2
URL: http://bluetooth.kmobiletools.org/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/kde-bluetooth/%{name}-%{version}_beta%{betaver}.tar.bz2 
NoSource: 0
Source10: admin.tar.bz2
Patch0: %{name}-%{version}-momonga.patch
Patch10: %{name}-%{version}_beta%{betaver}-gcc43.patch
Patch11: %{name}-%{version}_beta%{betaver}-automake111.patch
Patch12: %{name}-%{version}_beta%{betaver}-fix-install-header.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase >= %{kde4ver}-%{kde4baserel}
Requires: bluez-utils
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: bluez-libs-devel >= 4.0
BuildPreReq: dbus-qt-devel
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libtool
BuildPreReq: openobex-devel

%description
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%prep
%setup -q -n %{name}-%{version}_beta%{betaver}

%patch10 -p0 -b .gcc43

# fix for new automake
rm -rf admin
tar xf %{SOURCE10}

%patch11 -p1 -b .automake111
%patch12 -p1 -b .dbussignal_h

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kbluetooth.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/kbluelock
%{_bindir}/kbluemon
%{_bindir}/kbluetooth
%{_bindir}/kbtobexclient
%{_bindir}/kinputwizard
%{_bindir}/kioobex_start
%{_includedir}/kde/libkbluetooth
%{_includedir}/kde/qobex
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/kdebluetooth
%{_libdir}/lib*.la
%{_libdir}/lib*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/kioobex_start.desktop
%{_datadir}/applnk/Settings/Network/Bluetooth
%{_datadir}/applnk/Utilities/*.desktop
%{_datadir}/apps/kbtobexclient
%{_datadir}/apps/kdebluetooth
%{_datadir}/apps/konqsidebartng/virtual_folders/services/bluetooth_sidebarentry.desktop
%{_datadir}/apps/konqueror/servicemenus/kbtobexclient_sendfile.desktop
%{_datadir}/autostart/kbluetooth.autostart.desktop
%{_datadir}/desktop-directories/kde-settings-network-bluetooth.directory
%{_datadir}/doc/HTML/*/kdebluetooth
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/bluetooth
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/services/*.xml
%{_datadir}/servicetypes/*.desktop

%changelog
* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.9m)
- fix build with new automake

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-0.3.8m)
- rebuild against rpm-4.6

* Fri Dec 19 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0-0.3.7m)
- rebuild against bluez-4.22

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.6m)
- revise %%{_docdir}/HTML/*/kdebluetooth/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.3.5m)
- rebuild against qt3

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.4m)
- switch Requires from kdebase3 to kdebase

* Fri Apr  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.3m)
- import new gcc43.patch from gentoo
 +- 31 Mar 2008; Ioannis Aslanidis <deathwing00@gentoo.org>
 +- +files/kdebluetooth-1.0_beta8-gcc43.patch, kdebluetooth-1.0_beta8.ebuild:
 +- Fixed bug #215620 (gcc 4.3 patch). Added missing quotes. Fixed header date.

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.3.2m)
- rebuild against gcc43

* Tue Mar 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.1m)
- update to version 1.0 beta8
- import gcc43.patch from Fedora
- clean up patches
- return to trunk

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-0.2.5m)
- %%NoSource -> NoSource

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.4m)
- remove bluetooth_sidebarentry.desktop

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.3m)
- rebuild without kdepim

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.2m)
- move obex.desktop from %%{_datadir}/applnk to %%{_datadir}/applications/kde

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.1m)
- initial package for Momonga Linux
- import 5 patches from gentoo
 +- 08 Apr 2007; Stefan Schweizer <genstef@gentoo.org>
 +- +files/better-menu-names.diff, +files/kcm-btpaired-fix.diff,
 +- +files/kcm-no-dcop-error.diff, +files/kdebluetooth.diff,
 +- +files/kdebluetooth-dbuspasskeyagent.diff,
 +- +files/kdebluetooth-sdp-bitop.diff, +kdebluetooth-1.0_beta2-r2.ebuild:
 +- Add SuSe patches works with bluez-utils-3.7 thanks to Sergey Temerkhanov
 +- <temerkhanov@mail.ru> in bug 172832
